#!/bin/env ruby

lilFile = File.open("brain_sparse.iv", "w")
bigFile = File.open("brain.iv", "w")

for o in [lilFile, bigFile] do

  o.puts "#Inventor V2.1 ascii\n\n"

  for i in Dir.entries("res-220")
    next if i=="." || i==".."
    next unless i =~ /[0-9]{3}/
    n = $&.to_i
    puts "Processing #{i}\n"
    o.puts <<EOF
DEF FILE#{"%03d"%n} File { name "res-220/glyph-#{"%03d"%n}.iv" }
EOF
  end

  o.puts "\n"

  f = File.open("datalist.txt")
  f.each do |line|
    next if f.lineno==1
    next if o==lilFile && f.lineno.modulo(10)!=0
    r,g,b,x,y,z,angle,ax,ay,az,sx,sy,sz,gn = line.chomp.split(/\s+/)
    o.puts <<EOF
# line #{f.lineno}
Separator {
  Material { 
    diffuseColor #{r} #{g} #{b} 
    shininess 0
  }
  Transform { 
    scaleFactor #{sx} #{sy} #{sz}
    rotation #{ax} #{ay} #{az}  #{angle}
    translation #{x} #{y} #{z}
  }
  USE FILE#{"%03d" % gn}
}

EOF
  end

  f.close
  o.close

end


